For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
        • GETList agent branches
        • POSTCreate agent branch
        • GETGet agent branch
        • PATCHUpdate agent branch
        • POSTMerge agent branch
      • POSTCreate agent
      • GETGet agent
      • GETList agents
      • PATCHUpdate agent
      • DELDelete agent
      • POSTDuplicate agent
      • GETGet link
      • POSTSimulate conversation
      • POSTStream simulate conversation
      • POSTCalculate expected LLM usage
      • GETGet agent summaries
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsAgentsBranches

Get agent branch

GET
/v1/convai/agents/:agent_id/branches/:branch_id
GET
/v1/convai/agents/:agent_id/branches/:branch_id
$curl https://api.elevenlabs.io/v1/convai/agents/agent_id/branches/branch_id \
> -H "Content-Type: application/json"
1{
2 "id": "branch_8f7d6a2c9b3e4f1d",
3 "name": "Feature Update - Chat Enhancements",
4 "agent_id": "agent_3701k3ttaq12ewp8b7qv5rfyszkz",
5 "description": "Branch for implementing new chat response improvements and bug fixes.",
6 "created_at": 1688006400,
7 "last_committed_at": 1688592000,
8 "is_archived": false,
9 "protection_status": "writer_perms_required",
10 "access_info": {
11 "is_creator": true,
12 "creator_name": "John Doe",
13 "creator_email": "john.doe@example.com",
14 "role": "admin",
15 "access_source": "creator"
16 },
17 "current_live_percentage": 25.5,
18 "parent_branch": {
19 "id": "branch_4a3b2c1d9e8f7a6b",
20 "name": "Main"
21 },
22 "most_recent_versions": [
23 {
24 "id": "version_20230629_01",
25 "agent_id": "agent_3701k3ttaq12ewp8b7qv5rfyszkz",
26 "branch_id": "branch_8f7d6a2c9b3e4f1d",
27 "version_description": "Initial commit of chat enhancements with updated NLP models.",
28 "seq_no_in_branch": 1,
29 "time_committed_secs": 1688592000,
30 "parents": {
31 "in_branch_parent_id": null,
32 "out_of_branch_parent_id": "version_20230628_05",
33 "merged_into_branch_id": null,
34 "merged_from_branch_id": null,
35 "merged_from_version_id": null
36 },
37 "access_info": {
38 "is_creator": true,
39 "creator_name": "John Doe",
40 "creator_email": "john.doe@example.com",
41 "role": "admin",
42 "access_source": "creator"
43 }
44 }
45 ]
46}
Get information about a single agent branch
Was this page helpful?
Previous

Update agent branch

Next
Built with

Path parameters

agent_idstringRequired
The id of an agent. This is returned on agent creation.
branch_idstringRequired
Unique identifier for the branch.

Headers

xi-api-keystringOptional

Response

Successful Response
idstring
namestring
agent_idstring
descriptionstring
created_atinteger
last_committed_atinteger
is_archivedboolean
protection_statusenumDefaults to writer_perms_required
Allowed values:
access_infoobject or null
Access information for the branch
current_live_percentagedoubleDefaults to 0
Percentage of traffic live on the branch
parent_branchobject or null
Parent branch of the branch
most_recent_versionslist of objects
Most recent versions on the branch

Errors

422
Unprocessable Entity Error